/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site (http://www.enhydra.org/).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ViewContext.java,v 1.5 2001/10/18 17:58:35 cryd0221 Exp $
 */
package org.enhydra.barracuda.core.comp;

import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import org.w3c.dom.*;

import org.enhydra.barracuda.core.util.data.*;
import org.enhydra.barracuda.core.event.*;
import org.enhydra.barracuda.core.view.*;

/**
 * This interface defines the methods needed to implement a ViewContext.
 */
public interface ViewContext extends StateMap {

    public static final String VIEW_CAPABILITIES = ViewContext.class.getName()+".ViewCapabilities";
    public static final String EVENT_CONTEXT = ViewContext.class.getName()+".EventContext";
    public static final String ELEMENT_FACTORY = ViewContext.class.getName()+".ElementFactory";
    public static final String TEMPLATE_NODE = ViewContext.class.getName()+".TemplateNode";
    public static final String REQUEST = ViewContext.class.getName()+".Request";
    public static final String RESPONSE = ViewContext.class.getName()+".Response";

    public ViewCapabilities getViewCapabilities();
    public EventContext getEventContext();
    public ElementFactory getElementFactory();
    public Node getTemplateNode();
    public HttpServletRequest getRequest();
    public HttpServletResponse getResponse();
}