package org.enhydra.barracuda.core.util.l10n;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

import org.enhydra.barracuda.core.event.*;
import org.enhydra.barracuda.core.util.http.*;


/**
 * Simple localization utilities.
 */
public class Localize {

    private static String missingBundle = "[[Missing Bundle]]";
    private static String missingKey = "[[Missing Key]]";
    private static String missingData = "[[Missing Data]]";

    /**
     * Get data from a resource bundle. If the data is not available an
     * appropriate error message is returned instead.
     *
     * @param rb the resource bundle
     * @param key the key we are after
     * @return the value in the resource bundle for the given key
     */
    public static String getString(ResourceBundle rb, String key) {

        //eliminate the obvious
        if (rb==null) return missingBundle;
        if (key==null) return missingKey;

        //get the string
        String s = null;
        try {
            s = rb.getString(key);
        } catch (MissingResourceException mre) {
            mre.printStackTrace();
        }

        //sanity check on what we got back
        if (s==null) s = missingData;

        //now return it
        return s.trim();
    }

}
