/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site (http://www.enhydra.org/).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: SimpleServiceProvider.java,v 1.4 2001/09/25 19:05:30 cryd0221 Exp $
 */
package org.enhydra.barracuda.core.util.srv;

import java.util.*;

/**
 * <p>Interface which indicates the implementor is capable of
 * providing a list all services the implementor provides. 
 *
 * <p>SimpleServiceFinder sweeps up a container heirarchy looking
 * for service. Implementing this class provides a way for 
 * a class in the hierarchy to redirect the search back down
 * a particular branch (although the implementation is really 
 * up to the developer...in other words, if the List of supported
 * services includes other SimpleServiceProviders, those also can
 * be examined for services).
 */
public interface SimpleServiceProvider {

    /**
     * Provide a list of supported services.
     *
     * @return list of supported services
     */
    public List getSupportedServices();
}
