/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site (http://www.enhydra.org/).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 * $Id: SampleControlHandler.java,v 1.9 2001/09/25 19:05:30 cryd0221 Exp $
 */
package org.enhydra.barracuda.examples.ex4;

import java.io.*;
import java.util.*;
import java.net.*;
import javax.servlet.*;
import javax.servlet.http.*;

import org.enhydra.barracuda.core.event.*;
import org.enhydra.barracuda.examples.ex4.events.*;


/**
 * A sample control event handler
 */
public class SampleControlHandler extends DefaultListenerFactory {

    private String name = null;
    public String name1 = null;
    public static String name2 = null;
    public boolean sboolean = false;
    // RTL - jikes error public byte sbyte = ' ';
    public byte sbyte = 0;
    public char schar = ' ';
    public double sdouble = -1;
    public float sfloat = 1.0F;
    public int sint = -1;
    public long slong = -1;
    public short sshort = -1;

    //define the necessary factory methods
    public BaseEventListener getInstance() {
        return new TestHandler();
    }            
    public String getListenerID() {
        return getID(TestHandler.class);
    }

    //provide sample hooks to set values
    public void setName(String iname) {
        name = iname;
    }
    public void setSBoolean(boolean val) {
        sboolean = val;
    }
    public void setSByte(byte b) {
        sbyte = b;
    }
    public void setSChar(char c) {
        schar = c;
    }
    public void setSDouble(double d) {
        sdouble = d;
    }
    public void setSFloat(float f) {
        sfloat = f;
    }
    public void setSInt(int i) {
        sint = i;
    }
    public void setSLong(long l) {
        slong = l;
    }
    public void setSShort(short s) {
        sshort = s;
    }
    
    //------------------------------------------------------------
    //             Model 2 - Controller Event Handlers
    //------------------------------------------------------------
    /**
     * TestHandlers - handle the request to get the test
     * screen.
     */
    class TestHandler extends DefaultBaseEventListener {
        public void handleControlEvent(ControlEventContext context) throws EventException, ServletException, IOException {
            //in this case, we're not really doing anything special, so just
            //redirect to the RenderLogin view
            context.putState(SampleViewHandler.HANDLED_BY, name);
            context.getQueue().addEvent(new RenderEvent(context.getEvent()));
        }
    }
}

